package main

import (
	tw "gitea.suyono.dev/suyono/terminal_wrapper"
	"os"
)

func main() {
	var (
		t    *tw.Terminal
		pass string
		err  error
	)

	if t, err = tw.MakeTerminal(os.Stderr); err != nil {
		panic(err)
	}
	defer func() {
		if err = t.Restore(); err != nil {
			panic(err)
		}
	}()

	cursor := t.Cursor()
	//t.ClearScreen()
	//cursor.GoHome()
	t.ClearLine()
	cursor.GoUp(1)
	t.ClearLine()
	cursor.GoUp(1)
	t.ClearLine()

	if pass, err = t.ReadPassword("input passphrase: "); err != nil {
		panic(err)
	}

	t.Print("password: ", pass)
}
